Bug 496969 - Rebuild of emerald-0.7.8-1.fc10.src.rpm with mock fails
Rebuild of emerald-0.7.8-1.fc10.src.rpm with mock fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: emerald (Show other bugs)
10
i686 Linux
low Severity low
: ---
: ---
Assigned To: Nikolay Vladimirov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 17:08 EDT by Massimiliano
Modified: 2009-07-03 15:45 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.7.8-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-03 15:45:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for the emerald.spec file (358 bytes, patch)
2009-04-21 17:08 EDT, Massimiliano
no flags Details | Diff

  None (edit)
Description Massimiliano 2009-04-21 17:08:02 EDT
Created attachment 340632 [details]
Patch for the emerald.spec file

Description of problem:
The rebuild of the source package fails with mock (for i686 target).
The libXres-devel dependency is missing in the build requirements.

Version-Release number of selected component (if applicable):
emerald-0.7.8-1.fc10.src.rpm

How reproducible:
$mock --init
$mock --rebuild emerald-0.7.8-1.fc10.src.rpm
  
Actual results:
...
checking for EMERALD... configure: error: Package requirements ( xrender >= 0.8.4  		    gtk+-2.0 >= 2.8.0 		    libwnck-1.0	      		    libdecoration     		    pangocairo) were not met:
Package xres was not found in the pkg-config search path.
Perhaps you should add the directory containing `xres.pc'
to the PKG_CONFIG_PATH environment variable
Package 'xres', required by 'libwnck', not found
Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.
Alternatively, you may set the environment variables EMERALD_CFLAGS
and EMERALD_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.
RPM build errors:
error: Bad exit status from /var/tmp/rpm-tmp.9BWz1s (%build)
    Bad exit status from /var/tmp/rpm-tmp.9BWz1s (%build)
Child returncode was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i686 --nodeps builddir/build/SPECS/emerald.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.5/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)
  File "/usr/lib/python2.5/site-packages/mock/util.py", line 324, in do
    raise mock.exception.Error, ("Command failed. See logs for output.\n # %s" % (command,), child.returncode)
Error: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target i686 --nodeps builddir/build/SPECS/emerald.spec']
LEAVE do --> EXCEPTION RAISED

Expected results:
Build success

Additional info:
The patch (see attachment) solves the problem
Comment 1 Nikolay Vladimirov 2009-04-22 02:18:45 EDT
Thank you for reporting this. Tonight I will rebuild the package with the fix.
Comment 2 Fedora Update System 2009-06-20 14:19:46 EDT
emerald-0.7.8-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/emerald-0.7.8-2.fc10
Comment 3 Fedora Update System 2009-06-24 15:40:46 EDT
emerald-0.7.8-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update emerald'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-6867
Comment 4 Fedora Update System 2009-07-03 15:45:32 EDT
emerald-0.7.8-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.